TESTSYS(3)

NAME
TestSys - perform self-test queries on devices

SYNOPSIS

#include <gpib/ib.h>

void TestSys(int board_desc, const Addr4882_t addressList[], short results[]);

DESCRIPTION

TestSys() sends the '*TST?' message to all the devices in the addressList array, then reads their responses into the results array. This will cause devices that conform to the IEEE 488.2 standard to perform a self-test and respond with a zero on success. A non-zero response indicates an error during the self-test.

The number of devices which responded with nonzero values from their self-tests is returned in ibcnt, ibcntl. If a device fails to respond to the *TST? query, an error will be flagged in ibsta (this is different than NI's documented behaviour which is broken).

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess